pmlexpand(1)

NAME
pmlexpand - expand and remove defaults in a PhotoML XML file

SYNOPSIS
pmlexpand [-h] [-a | -b] [[infile] outfile]

DESCRIPTION
pmlexpand expands defaults into the relevant elements and removes the defaults elements. Input is written to stdout if no output file is specified, and read from stdin if no input file is specified.

OPTIONS
pmlexpand accepts the following options:

-h  Display usage information.

-a  Replace defaults elements with a comment indicating the position from which they were removed.

-b  Comment out the defaults elements.

AUTHOR
Brendt Wohlberg <photoml@wohlberg.net>

COPYRIGHT
Copyright © 2003-2007 Brendt Wohlberg <photoml@wohlberg.net>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License <http://www.gnu.org/licenses/gpl-2.0.txt>.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
pmlvalid(1)